> ## Documentation Index
> Fetch the complete documentation index at: https://docs.paynext.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a customer

> Create a customer



## OpenAPI

````yaml /api-reference/openapi3.json post /customers
openapi: 3.0.1
info:
  contact: {}
  description: Billing API
  title: Billing
  version: '2.0'
servers:
  - url: https://sandbox-api.paynext.com/
security: []
paths:
  /customers:
    post:
      tags:
        - Customers
      summary: Create a customer
      description: Create a customer
      parameters:
        - description: Specifies the version of the API to use
          in: header
          name: X-API-Version
          schema:
            enum:
              - 1.0.0
            type: string
            default: 1.0.0
          required: true
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/main_module_public_api.createCustomerRequest
        description: Create customer
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/core_model.CustomerWithRelationsWithPlanResDTO
          description: OK
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/pkg_server.HttpResErrorDTO'
          description: Unauthorized
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/pkg_server.HttpResErrorDTO'
          description: Not Found
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/pkg_server.HttpResErrorDTO'
          description: Internal Server Error
      security:
        - Auth: []
components:
  schemas:
    main_module_public_api.createCustomerRequest:
      properties:
        cit_network_transaction_id:
          description: >-
            CIT network transaction ID from the original processor (used as
            reference for future MIT charges)
          type: string
        customer:
          $ref: '#/components/schemas/main_module_public_api.createCustomerData'
        payment_method:
          $ref: >-
            #/components/schemas/main_module_public_api.createCustomerPaymentMethod
        plan:
          $ref: '#/components/schemas/main_module_public_api.clientSessionPlan'
        processor:
          $ref: '#/components/schemas/main_module_public_api.createCustomerProcessor'
        subscription:
          $ref: >-
            #/components/schemas/main_module_public_api.createCustomerSubscription
      type: object
    core_model.CustomerWithRelationsWithPlanResDTO:
      properties:
        address:
          allOf:
            - $ref: '#/components/schemas/core_model.BillingAddress'
          description: Address associated with customer
          type: object
          x-order: '3'
        created_at:
          description: The date and time the customer was created in UTC format
          example: '2025-05-28T14:00:00Z'
          type: string
          x-order: '1'
        email:
          description: Email of the customer
          example: alice.johnson@example.com
          type: string
          x-order: '4'
        external_id:
          description: External ID of the customer
          example: ext_001
          type: string
          x-order: '5'
        full_name:
          description: Full name of the customer
          example: Alice Johnson
          type: string
          x-order: '7'
        id:
          description: Unique identifier
          example: cus_b8d0fe7e-3a7f-4b5f-a68b-d31358b49c3f
          type: string
          x-order: '0'
        metadata:
          additionalProperties:
            type: string
          description: Additional metadata as a JSON object
          example:
            key: value
          type: object
          x-order: '6'
        payment_methods:
          items:
            $ref: '#/components/schemas/core_model.PaymentMethodResDTO'
          type: array
        phone:
          description: Customer's phone number
          example: +1-555-123-4567
          type: string
          x-order: '8'
        subscriptions:
          items:
            $ref: '#/components/schemas/core_model.CustomerSubscriptionWithPlanResDTO'
          type: array
        updated_at:
          description: The date and time the customer was last updated in UTC format
          example: '2025-05-28T14:05:00Z'
          type: string
          x-order: '2'
      type: object
    pkg_server.HttpResErrorDTO:
      properties:
        error:
          allOf:
            - $ref: '#/components/schemas/pkg_server.HttpErrorDTO'
          description: Description of the error
          type: object
      type: object
    main_module_public_api.createCustomerData:
      properties:
        address:
          allOf:
            - $ref: >-
                #/components/schemas/main_module_public_api.clientSessionCustomerAddress
          description: Address information of the customer
          type: object
        email:
          description: Email address of the customer
          example: jane.doe@example.com
          type: string
        external_id:
          description: External ID of the customer
          example: cust_123456789
          type: string
        metadata:
          additionalProperties:
            type: string
          description: Custom metadata. A dictionary of key-value pairs
          example:
            key: value
          type: object
      type: object
    main_module_public_api.createCustomerPaymentMethod:
      properties:
        apple_pay:
          $ref: >-
            #/components/schemas/main_module_public_api.createCustomerPaymentMethodApplePay
        billing_address:
          $ref: '#/components/schemas/core_model.BillingAddress'
        card:
          $ref: >-
            #/components/schemas/main_module_public_api.createCustomerPaymentMethodCard
        google_pay:
          $ref: >-
            #/components/schemas/main_module_public_api.createCustomerPaymentMethodGooglePay
        name:
          type: string
        paypal:
          $ref: >-
            #/components/schemas/main_module_public_api.createCustomerPaymentMethodPaypal
        phone:
          type: string
        type:
          allOf:
            - $ref: '#/components/schemas/core_model.PaymentMethodType'
          description: >-
            Payment method type. Required for card, apple_pay, google_pay.
            Optional for paypal (inferred if omitted).
          type: object
      type: object
    main_module_public_api.clientSessionPlan:
      properties:
        id:
          description: Unique identifier of the payment plan
          example: price_d3b07384-d9a5-4d16-a5b1-3fa3d9b0b123
          type: string
        price:
          allOf:
            - $ref: '#/components/schemas/core_model.PlanPrice'
          description: >-
            Optional custom price overriding the plan's configured price for
            this session. Supported for one-off plans only.
          type: object
      type: object
    main_module_public_api.createCustomerProcessor:
      properties:
        id:
          description: Unique identifier of the processor
          example: d3b07384-d9a5-4d16-a5b1-3fa3d9b0b123
          type: string
      type: object
    main_module_public_api.createCustomerSubscription:
      properties:
        metadata:
          additionalProperties:
            type: string
          description: Custom metadata. A dictionary of key-value pairs
          example:
            key: value
          type: object
        next_billing_date:
          description: >-
            The timestamp of the next billing date in RFC3339 format (UTC).
            Example: "2025-11-03T12:34:56Z"
          example: '2025-11-03T12:34:56Z'
          format: date-time
          type: string
      required:
        - next_billing_date
      type: object
    core_model.BillingAddress:
      properties:
        city:
          example: San Francisco
          type: string
        country:
          enum:
            - AD
            - AE
            - AF
            - AG
            - AL
            - AM
            - AO
            - AR
            - AS
            - AT
            - AU
            - AW
            - AX
            - AZ
            - BA
            - BB
            - BD
            - BE
            - BF
            - BG
            - BH
            - BI
            - BJ
            - BL
            - BM
            - BN
            - BO
            - BQ
            - BR
            - BS
            - BT
            - BW
            - BY
            - BZ
            - CA
            - CD
            - CF
            - CG
            - CH
            - CI
            - CL
            - CM
            - CN
            - CO
            - CR
            - CU
            - CU-P
            - CV
            - CW
            - CY
            - CZ
            - DE
            - DJ
            - DK
            - DM
            - DO
            - DZ
            - EC
            - EE
            - EG
            - ER
            - ES
            - ET
            - FI
            - FJ
            - FK
            - FM
            - FR
            - GA
            - GB
            - GD
            - GE
            - GF
            - GG
            - GH
            - GI
            - GL
            - GM
            - GN
            - GP
            - GQ
            - GR
            - GT
            - GU
            - GW
            - GY
            - HK
            - HN
            - HR
            - HT
            - HU
            - ID
            - IE
            - IL
            - IM
            - IN
            - IQ
            - IR
            - IS
            - IT
            - JE
            - JM
            - JO
            - JP
            - KE
            - KG
            - KH
            - KI
            - KM
            - KN
            - KP
            - KR
            - KW
            - KY
            - KZ
            - LA
            - LB
            - LC
            - LI
            - LK
            - LR
            - LS
            - LT
            - LU
            - LV
            - LY
            - MA
            - MC
            - MD
            - ME
            - MF
            - MG
            - MH
            - MK
            - ML
            - MM
            - MN
            - MO
            - MP
            - MQ
            - MR
            - MS
            - MT
            - MU
            - MV
            - MW
            - MX
            - MY
            - MZ
            - NA
            - NC
            - NE
            - NG
            - NI
            - NL
            - 'NO'
            - NP
            - NR
            - NU
            - NZ
            - OM
            - PA
            - PE
            - PF
            - PG
            - PH
            - PK
            - PL
            - PM
            - PN
            - PR
            - PS
            - PT
            - PW
            - PY
            - QA
            - RE
            - RO
            - RS
            - RU
            - RW
            - SA
            - SB
            - SC
            - SD
            - SE
            - SG
            - SH
            - SI
            - SK
            - SL
            - SM
            - SN
            - SO
            - SR
            - SS
            - ST
            - SV
            - SX
            - SY
            - SZ
            - TC
            - TD
            - TG
            - TH
            - TJ
            - TK
            - TL
            - TM
            - TN
            - TO
            - TR
            - TT
            - TV
            - TW
            - TZ
            - UA
            - UG
            - US
            - UY
            - UZ
            - VA
            - VC
            - VE
            - VG
            - VI
            - VN
            - VU
            - WF
            - WS
            - XK
            - YE
            - YT
            - ZA
            - ZM
            - ZW
          type: string
        line1:
          example: 123 Market Street
          type: string
        line2:
          example: Suite 400
          type: string
        postal_code:
          example: '94105'
          type: string
        state:
          example: CA
          type: string
      type: object
    core_model.PaymentMethodResDTO:
      discriminator:
        mapping:
          APPLEPAY:
            $ref: '#/components/schemas/ApplepayAPISchema'
          CARD:
            $ref: '#/components/schemas/CardAPISchema'
          CASHAPP:
            $ref: '#/components/schemas/CashappAPISchema'
          GPAY:
            $ref: '#/components/schemas/GpayAPISchema'
          PAYPAL:
            $ref: '#/components/schemas/PaypalAPISchema'
          VENMO:
            $ref: '#/components/schemas/VenmoAPISchema'
        propertyName: type
      oneOf:
        - $ref: '#/components/schemas/CardAPISchema'
        - $ref: '#/components/schemas/PaypalAPISchema'
        - $ref: '#/components/schemas/VenmoAPISchema'
        - $ref: '#/components/schemas/CashappAPISchema'
        - $ref: '#/components/schemas/ApplepayAPISchema'
        - $ref: '#/components/schemas/GpayAPISchema'
    core_model.CustomerSubscriptionWithPlanResDTO:
      properties:
        created_at:
          description: >-
            The date and time at which the subscription was created in UTC
            format
          example: '2025-05-26T10:00:00Z'
          type: string
          x-order: '1'
        current_period_end:
          type: string
        cancelled_at:
          description: >-
            UTC timestamp of when the subscription became cancelled; null unless
            the subscription is cancelled
          example: '2026-06-10T14:32:08Z'
          type: string
        cancellation_details:
          description: >-
            Server-attested cancellation attribution. Always present; sub-fields
            are null unless the subscription is cancelled (or scheduled for
            cancellation).
          properties:
            reason:
              description: Why the subscription was cancelled
              enum:
                - merchant_initiated
                - past_due_max_attempts_reached
                - workflow_action
                - fraud_prevention
              example: fraud_prevention
              type: string
            trigger_payment_id:
              description: >-
                Payment that triggered a system cancellation (prefixed pay_);
                null for merchant-initiated cancels
              example: pay_e8a1b2c3-1d2e-3f4a-5b6c-7d8e9f0a1b2c
              type: string
          type: object
        current_period_start:
          type: string
        id:
          description: Unique identifier for the subscription
          example: sub_123e4567-e89b-12d3-a456-426614174000
          type: string
          x-order: '0'
        metadata:
          additionalProperties:
            type: string
          description: |-
            Custom metadata associated with the subscription
            A dictionary of key-value pairs.
          example:
            key: value
          type: object
        next_billing_date:
          description: Next scheduled billing date for the subscription
          example: '2025-06-26T12:00:00Z'
          type: string
        past_due:
          allOf:
            - $ref: '#/components/schemas/core_model.SubscriptionPastDueAttemptsInfo'
          description: Information about past due attempts
          type: object
        plan:
          $ref: '#/components/schemas/core_model.PlanCustomerResDTO'
        status:
          description: Current status of the subscription
          enum:
            - trial
            - active
            - past_due
            - cancelled
            - scheduled_for_cancellation
          type: string
        updated_at:
          description: The date and time of the last subscription update in UTC format
          example: '2025-05-27T10:00:00Z'
          type: string
          x-order: '2'
      type: object
    pkg_server.HttpErrorDTO:
      properties:
        message:
          description: Description of the error
          example: some error message
          type: string
      type: object
    main_module_public_api.clientSessionCustomerAddress:
      properties:
        country:
          description: ISO country code (e.g., US, DE)
          enum:
            - AD
            - AE
            - AF
            - AG
            - AL
            - AM
            - AO
            - AR
            - AS
            - AT
            - AU
            - AW
            - AX
            - AZ
            - BA
            - BB
            - BD
            - BE
            - BF
            - BG
            - BH
            - BI
            - BJ
            - BL
            - BM
            - BN
            - BO
            - BQ
            - BR
            - BS
            - BT
            - BW
            - BY
            - BZ
            - CA
            - CD
            - CF
            - CG
            - CH
            - CI
            - CL
            - CM
            - CN
            - CO
            - CR
            - CU
            - CU-P
            - CV
            - CW
            - CY
            - CZ
            - DE
            - DJ
            - DK
            - DM
            - DO
            - DZ
            - EC
            - EE
            - EG
            - ER
            - ES
            - ET
            - FI
            - FJ
            - FK
            - FM
            - FR
            - GA
            - GB
            - GD
            - GE
            - GF
            - GG
            - GH
            - GI
            - GL
            - GM
            - GN
            - GP
            - GQ
            - GR
            - GT
            - GU
            - GW
            - GY
            - HK
            - HN
            - HR
            - HT
            - HU
            - ID
            - IE
            - IL
            - IM
            - IN
            - IQ
            - IR
            - IS
            - IT
            - JE
            - JM
            - JO
            - JP
            - KE
            - KG
            - KH
            - KI
            - KM
            - KN
            - KP
            - KR
            - KW
            - KY
            - KZ
            - LA
            - LB
            - LC
            - LI
            - LK
            - LR
            - LS
            - LT
            - LU
            - LV
            - LY
            - MA
            - MC
            - MD
            - ME
            - MF
            - MG
            - MH
            - MK
            - ML
            - MM
            - MN
            - MO
            - MP
            - MQ
            - MR
            - MS
            - MT
            - MU
            - MV
            - MW
            - MX
            - MY
            - MZ
            - NA
            - NC
            - NE
            - NG
            - NI
            - NL
            - 'NO'
            - NP
            - NR
            - NU
            - NZ
            - OM
            - PA
            - PE
            - PF
            - PG
            - PH
            - PK
            - PL
            - PM
            - PN
            - PR
            - PS
            - PT
            - PW
            - PY
            - QA
            - RE
            - RO
            - RS
            - RU
            - RW
            - SA
            - SB
            - SC
            - SD
            - SE
            - SG
            - SH
            - SI
            - SK
            - SL
            - SM
            - SN
            - SO
            - SR
            - SS
            - ST
            - SV
            - SX
            - SY
            - SZ
            - TC
            - TD
            - TG
            - TH
            - TJ
            - TK
            - TL
            - TM
            - TN
            - TO
            - TR
            - TT
            - TV
            - TW
            - TZ
            - UA
            - UG
            - US
            - UY
            - UZ
            - VA
            - VC
            - VE
            - VG
            - VI
            - VN
            - VU
            - WF
            - WS
            - XK
            - YE
            - YT
            - ZA
            - ZM
            - ZW
          type: string
      required:
        - country
      type: object
    main_module_public_api.createCustomerPaymentMethodApplePay:
      properties:
        exp_month:
          description: Expiration month
          example: 12
          type: integer
        exp_year:
          description: Expiration year
          example: 2028
          type: integer
        token:
          description: Apple Pay token number (DPAN)
          example: '12345678'
          type: string
      type: object
    main_module_public_api.createCustomerPaymentMethodCard:
      properties:
        exp_month:
          description: Expiration month
          example: 12
          type: integer
        exp_year:
          description: Expiration year
          example: 2028
          type: integer
        number:
          description: Full card number
          example: '4111111111111111'
          type: string
      type: object
    main_module_public_api.createCustomerPaymentMethodGooglePay:
      properties:
        exp_month:
          description: Expiration month
          example: 12
          type: integer
        exp_year:
          description: Expiration year
          example: 2028
          type: integer
        token:
          description: Google Pay token number (DPAN)
          example: '12345678'
          type: string
      type: object
    main_module_public_api.createCustomerPaymentMethodPaypal:
      properties:
        billing_agreement_id:
          description: Paypal billing agreement ID
          example: d3b07384-d9a5-4d16-a5b1-3fa3d9b0b123
          type: string
        payer_info:
          allOf:
            - $ref: >-
                #/components/schemas/main_module_public_api.createCustomerPaymentMethodPaypalPayerInfo
          description: Paypal payer info
          type: object
      type: object
    core_model.PaymentMethodType:
      enum:
        - CARD
        - PAYPAL
        - APPLEPAY
        - GPAY
        - VENMO
        - CASHAPP
        - AMAZONPAY
        - PIX_AUTOMATICO
      type: string
      x-enum-varnames:
        - PaymentMethodTypeCARD
        - PaymentMethodTypePAYPAL
        - PaymentMethodTypeAPPLEPAY
        - PaymentMethodTypeGPAY
        - PaymentMethodTypeVENMO
        - PaymentMethodTypeCASHAPP
        - PaymentMethodTypeAMAZONPAY
        - PaymentMethodTypePIXAUTOMATICO
    core_model.PlanPrice:
      properties:
        amount:
          description: Price amount  in minor units
          example: 1999
          type: integer
        currency:
          description: >-
            The 3-letter currency code in ISO 4217 format. e.g. use USD for US
            dollars
          enum:
            - AED
            - AFN
            - ALL
            - AMD
            - AOA
            - ARS
            - AUD
            - AWG
            - AZN
            - BAM
            - BBD
            - BDT
            - BGN
            - BHD
            - BIF
            - BMD
            - BND
            - BOB
            - BRL
            - BSD
            - BTN
            - BWP
            - BYN
            - BZD
            - CAD
            - CDF
            - CHF
            - CLP
            - CNY
            - COP
            - CRC
            - CUC
            - CUP
            - CVE
            - CZK
            - DJF
            - DKK
            - DOP
            - DZD
            - EGP
            - ERN
            - ETB
            - EUR
            - FJD
            - FKP
            - GBP
            - GEL
            - GHS
            - GIP
            - GMD
            - GNF
            - GTQ
            - GYD
            - HKD
            - HNL
            - HTG
            - HUF
            - IDR
            - ILS
            - IMP
            - INR
            - IQD
            - IRR
            - ISK
            - JEP
            - JMD
            - JOD
            - JPY
            - KES
            - KGS
            - KHR
            - KMF
            - KPW
            - KRW
            - KWD
            - KYD
            - KZT
            - LAK
            - LBP
            - LKR
            - LRD
            - LSL
            - LYD
            - MAD
            - MDL
            - MGA
            - MKD
            - MMK
            - MNT
            - MOP
            - MRU
            - MUR
            - MVR
            - MWK
            - MXN
            - MYR
            - MZN
            - NAD
            - NGN
            - NIO
            - NOK
            - NPR
            - NZD
            - OMR
            - PAB
            - PEN
            - PGK
            - PHP
            - PKR
            - PLN
            - PYG
            - QAR
            - RON
            - RSD
            - RUB
            - RWF
            - SAR
            - SBD
            - SCR
            - SDG
            - SEK
            - SGD
            - SHP
            - SLE
            - SOS
            - SRD
            - SSP
            - STD
            - STN
            - SVC
            - SYP
            - SZL
            - THB
            - TJS
            - TMT
            - TND
            - TOP
            - TRY
            - TTD
            - TWD
            - TZS
            - BOV
            - COU
            - CHE
            - CHW
            - MXV
            - UGX
            - VES
            - VND
            - VUV
            - XAF
            - XCD
            - XCG
            - XOF
            - XPF
            - YER
            - USD
          example: AED
          type: string
      type: object
    ApplepayAPISchema:
      properties:
        billing_address:
          allOf:
            - $ref: '#/components/schemas/core_model.BillingAddress'
          description: Billing address associated with the payment method
          type: object
          x-order: '2'
        details:
          $ref: '#/components/schemas/ApplePayPaymentMethodDetails'
        status:
          description: >-
            Lifecycle status of the payment method. For a card this describes
            the card itself, not its network token.
          enum:
            - active
            - expired
            - replaced
            - closed
            - invalid
            - revoked
          example: active
          type: string
          x-order: '5'
        type:
          enum:
            - APPLEPAY
          type: string
      required:
        - type
        - details
      title: Apple Pay API Schema
      type: object
    CardAPISchema:
      properties:
        billing_address:
          allOf:
            - $ref: '#/components/schemas/core_model.BillingAddress'
          description: Billing address associated with the payment method
          type: object
          x-order: '2'
        card_updater:
          description: Whether the card is enrolled in the Card Account Updater service.
          example: true
          type: boolean
          x-order: '6'
        details:
          $ref: '#/components/schemas/CardPaymentMethodDetails'
        fpan_out_of_sync:
          description: >-
            Informational. The stored card number is known to be out of date and
            a refresh is pending. Do not gate charging on this field.
          example: false
          type: boolean
          x-order: '7'
        status:
          description: >-
            Lifecycle status of the payment method. For a card this describes
            the card itself, not its network token.
          enum:
            - active
            - expired
            - replaced
            - closed
            - invalid
            - revoked
          example: active
          type: string
          x-order: '5'
        type:
          enum:
            - CARD
          type: string
      required:
        - type
        - details
      title: Card API Schema
      type: object
    CashappAPISchema:
      properties:
        details:
          $ref: '#/components/schemas/CashAppPaymentMethodDetails'
        status:
          description: >-
            Lifecycle status of the payment method. For a card this describes
            the card itself, not its network token.
          enum:
            - active
            - expired
            - replaced
            - closed
            - invalid
            - revoked
          example: active
          type: string
          x-order: '5'
        type:
          enum:
            - CASHAPP
          type: string
      required:
        - type
        - details
      title: CashApp API Schema
      type: object
    GpayAPISchema:
      properties:
        billing_address:
          allOf:
            - $ref: '#/components/schemas/core_model.BillingAddress'
          description: Billing address associated with the payment method
          type: object
          x-order: '2'
        card_updater:
          description: Whether the card is enrolled in the Card Account Updater service.
          example: true
          type: boolean
          x-order: '6'
        details:
          $ref: '#/components/schemas/GooglePayPaymentMethodDetails'
        fpan_out_of_sync:
          description: >-
            Informational. The stored card number is known to be out of date and
            a refresh is pending. Do not gate charging on this field.
          example: false
          type: boolean
          x-order: '7'
        status:
          description: >-
            Lifecycle status of the payment method. For a card this describes
            the card itself, not its network token.
          enum:
            - active
            - expired
            - replaced
            - closed
            - invalid
            - revoked
          example: active
          type: string
          x-order: '5'
        type:
          enum:
            - GPAY
          type: string
      required:
        - type
        - details
      title: Google Pay API Schema
      type: object
    PaypalAPISchema:
      properties:
        details:
          $ref: '#/components/schemas/PayPalPaymentMethodDetails'
        status:
          description: >-
            Lifecycle status of the payment method. For a card this describes
            the card itself, not its network token.
          enum:
            - active
            - expired
            - replaced
            - closed
            - invalid
            - revoked
          example: active
          type: string
          x-order: '5'
        type:
          enum:
            - PAYPAL
          type: string
      required:
        - type
        - details
      title: PayPal API Schema
      type: object
    VenmoAPISchema:
      properties:
        details:
          $ref: '#/components/schemas/VenmoPaymentMethodDetails'
        status:
          description: >-
            Lifecycle status of the payment method. For a card this describes
            the card itself, not its network token.
          enum:
            - active
            - expired
            - replaced
            - closed
            - invalid
            - revoked
          example: active
          type: string
          x-order: '5'
        type:
          enum:
            - VENMO
          type: string
      required:
        - type
        - details
      title: Venmo API Schema
      type: object
    core_model.SubscriptionPastDueAttemptsInfo:
      properties:
        attempt_count:
          description: Number of current attempts count
          example: 2
          type: integer
        max_attempts_count:
          description: Maximum count of attempts
          example: 7
          type: integer
      type: object
    core_model.PlanCustomerResDTO:
      properties:
        id:
          description: Unique identifier for the plan
          example: price_1a2b3c4d-5e6f-7a8b-9c0d-1e2f3a4b5c6d
          type: string
          x-order: '0'
        interval:
          description: Type of the billing period
          enum:
            - days
            - months
            - years
          example: days
          type: string
          x-order: '4'
        interval_count:
          description: Number of billing periods per cycle
          example: 1
          type: integer
          x-order: '5'
        name:
          description: Display name of the plan
          example: Pro Plan
          type: string
          x-order: '2'
        price:
          allOf:
            - $ref: '#/components/schemas/core_model.PlanPrice'
          description: Pricing details for the plan
          type: object
          x-order: '6'
        tax:
          allOf:
            - $ref: '#/components/schemas/core_model.PlanTax'
          description: Tax info
          type: object
          x-order: '10'
        trial_interval:
          description: Type of trial period
          enum:
            - days
            - months
            - years
          example: days
          type: string
          x-order: '7'
        trial_interval_count:
          description: Length of the trial period
          example: 14
          type: integer
          x-order: '8'
        trial_price:
          allOf:
            - $ref: '#/components/schemas/core_model.PlanPrice'
          description: Trial pricing details
          type: object
          x-order: '9'
        type:
          description: Type of the plan
          enum:
            - recurring
            - one-off
          example: recurring
          type: string
          x-order: '3'
      type: object
    main_module_public_api.createCustomerPaymentMethodPaypalPayerInfo:
      properties:
        email:
          description: Paypal payer email
          example: example@email.com
          type: string
        first_name:
          description: Paypal payer first name
          example: John
          type: string
        last_name:
          description: Paypal payer last name
          example: Doe
          type: string
        payer_id:
          description: Paypal payer id
          example: '1234567'
          type: string
        tenant:
          description: Paypal payer tenant
          example: PAYPAL
          type: string
      type: object
    ApplePayPaymentMethodDetails:
      properties:
        token:
          description: Apple Pay token number
          example: '12345678'
          type: string
          x-order: '7'
        token_exp_month:
          description: Expiration month of the card
          example: 12
          type: integer
          x-order: '91'
        token_exp_year:
          description: Expiration year of the card
          example: 2028
          type: integer
          x-order: '92'
        token_service_provider:
          description: Apple Pay token service provider
          example: provider
          type: string
          x-order: '8'
      type: object
    CardPaymentMethodDetails:
      properties:
        bin:
          description: First 6 digits of the card number
          example: '411111'
          type: string
          x-order: '0'
        bin_data:
          allOf:
            - $ref: '#/components/schemas/core_model.EvervaultCardBinData'
          description: Bin data
          type: object
          x-order: '95'
        exp_month:
          description: Expiration month of the card
          example: 12
          type: integer
          x-order: '2'
        exp_year:
          description: Expiration year of the card
          example: 2028
          type: integer
          x-order: '3'
        is_network_tokenized:
          description: Is network tokenized
          example: true
          type: boolean
          x-order: '4'
        last4:
          description: Last 4 digits of the card number
          example: '1111'
          type: string
          x-order: '1'
        network_token:
          allOf:
            - $ref: '#/components/schemas/CardNetworkToken'
          description: Network token details, when the card is network tokenized
          type: object
          x-order: '6'
        number:
          description: Full card number
          example: '4111111111111111'
          type: string
          x-order: '5'
      type: object
    CashAppPaymentMethodDetails:
      properties:
        processor_customer_id:
          description: Processor customer ID
          example: cus_1234567890
          type: string
          x-order: '96'
        processor_payment_method_id:
          description: Processor payment method ID
          example: pm_1234567890
          type: string
          x-order: '97'
      type: object
    GooglePayPaymentMethodDetails:
      properties:
        token:
          description: Apple Pay token number
          example: '12345678'
          type: string
          x-order: '7'
        token_exp_month:
          description: Expiration month of the card
          example: 12
          type: integer
          x-order: '91'
        token_exp_year:
          description: Expiration year of the card
          example: 2028
          type: integer
          x-order: '92'
        token_service_provider:
          description: Apple Pay token service provider
          example: provider
          type: string
          x-order: '8'
      type: object
    PayPalPaymentMethodDetails:
      properties:
        payer_info:
          allOf:
            - $ref: '#/components/schemas/core_model.PaypalDataPayerInfo'
          description: Paypal payer info
          type: object
          x-order: '94'
        processor_customer_email:
          description: Processor customer email
          example: example@gmail.com
          type: string
          x-order: '98'
        processor_customer_id:
          description: Processor customer ID
          example: cus_1234567890
          type: string
          x-order: '96'
        processor_payment_method_id:
          description: Processor payment method ID
          example: pm_1234567890
          type: string
          x-order: '97'
      type: object
    VenmoPaymentMethodDetails:
      properties:
        processor_payment_method_id:
          description: Processor payment method ID
          example: pm_1234567890
          type: string
          x-order: '97'
      type: object
    core_model.PlanTax:
      properties:
        collect_tax:
          allOf:
            - $ref: '#/components/schemas/core_model.PlanTaxCollection'
          example: DEFAULT
          type: object
      type: object
    core_model.EvervaultCardBinData:
      properties:
        brand:
          description: Brand of the card
          enum:
            - visa
            - mastercard
            - american-express
            - discover
            - diners-club
            - jcb
            - unionpay
          type: string
        country:
          description: ISO country code (e.g., US, DE)
          enum:
            - AD
            - AE
            - AF
            - AG
            - AL
            - AM
            - AO
            - AR
            - AS
            - AT
            - AU
            - AW
            - AX
            - AZ
            - BA
            - BB
            - BD
            - BE
            - BF
            - BG
            - BH
            - BI
            - BJ
            - BL
            - BM
            - BN
            - BO
            - BQ
            - BR
            - BS
            - BT
            - BW
            - BY
            - BZ
            - CA
            - CD
            - CF
            - CG
            - CH
            - CI
            - CL
            - CM
            - CN
            - CO
            - CR
            - CU
            - CU-P
            - CV
            - CW
            - CY
            - CZ
            - DE
            - DJ
            - DK
            - DM
            - DO
            - DZ
            - EC
            - EE
            - EG
            - ER
            - ES
            - ET
            - FI
            - FJ
            - FK
            - FM
            - FR
            - GA
            - GB
            - GD
            - GE
            - GF
            - GG
            - GH
            - GI
            - GL
            - GM
            - GN
            - GP
            - GQ
            - GR
            - GT
            - GU
            - GW
            - GY
            - HK
            - HN
            - HR
            - HT
            - HU
            - ID
            - IE
            - IL
            - IM
            - IN
            - IQ
            - IR
            - IS
            - IT
            - JE
            - JM
            - JO
            - JP
            - KE
            - KG
            - KH
            - KI
            - KM
            - KN
            - KP
            - KR
            - KW
            - KY
            - KZ
            - LA
            - LB
            - LC
            - LI
            - LK
            - LR
            - LS
            - LT
            - LU
            - LV
            - LY
            - MA
            - MC
            - MD
            - ME
            - MF
            - MG
            - MH
            - MK
            - ML
            - MM
            - MN
            - MO
            - MP
            - MQ
            - MR
            - MS
            - MT
            - MU
            - MV
            - MW
            - MX
            - MY
            - MZ
            - NA
            - NC
            - NE
            - NG
            - NI
            - NL
            - 'NO'
            - NP
            - NR
            - NU
            - NZ
            - OM
            - PA
            - PE
            - PF
            - PG
            - PH
            - PK
            - PL
            - PM
            - PN
            - PR
            - PS
            - PT
            - PW
            - PY
            - QA
            - RE
            - RO
            - RS
            - RU
            - RW
            - SA
            - SB
            - SC
            - SD
            - SE
            - SG
            - SH
            - SI
            - SK
            - SL
            - SM
            - SN
            - SO
            - SR
            - SS
            - ST
            - SV
            - SX
            - SY
            - SZ
            - TC
            - TD
            - TG
            - TH
            - TJ
            - TK
            - TL
            - TM
            - TN
            - TO
            - TR
            - TT
            - TV
            - TW
            - TZ
            - UA
            - UG
            - US
            - UY
            - UZ
            - VA
            - VC
            - VE
            - VG
            - VI
            - VN
            - VU
            - WF
            - WS
            - XK
            - YE
            - YT
            - ZA
            - ZM
            - ZW
          type: string
        currency_code:
          description: >-
            The 3-letter currency code in ISO 4217 format. e.g. use USD for US
            dollars
          type: string
        description:
          description: Product or card name assigned by the issuer
          example: Chase Sapphire Preferred
          type: string
        funding:
          description: Type of funding source
          enum:
            - debit
            - credit
            - prepaid
            - deferred-debit
            - charge
          type: string
        issuer:
          description: Issuing bank or institution name
          example: Chase Bank
          type: string
        type:
          description: Classification of the card type
          enum:
            - consumer
            - commercial
            - business
            - payouts
            - all
          type: string
      type: object
    CardNetworkToken:
      properties:
        bin:
          description: BIN of the network token. Differs from the card BIN.
          example: '48953700'
          type: string
          x-order: '0'
        last4:
          description: >-
            Last 4 digits of the network token. Differs from the last 4 digits
            of the card.
          example: '0370'
          type: string
          x-order: '1'
        exp_month:
          description: Expiration month of the network token
          example: 5
          type: integer
          x-order: '2'
        exp_year:
          description: Expiration year of the network token, 2 digits
          example: 31
          type: integer
          x-order: '3'
        status:
          description: >-
            Lifecycle status of the network token. On a customer this is the
            current status; on a payment it is the status at the time of the
            charge. A card whose own status is expired is still chargeable while
            this is active.
          enum:
            - active
            - inactive
            - blocked
            - provisioning
            - suspended
            - deleted
            - expired
            - retired
            - unknown
          example: active
          type: string
          x-order: '4'
        last_synced_at:
          description: >-
            When the network token state was last refreshed from the card
            network. On a customer this is the current value; on a payment it is
            the value at the time of the charge.
          example: '2025-05-26T10:15:00Z'
          type: string
          x-order: '5'
      type: object
    core_model.PaypalDataPayerInfo:
      properties:
        email:
          description: Paypal payer email
          example: example@email.com
          type: string
        first_name:
          description: Paypal payer first name
          example: John
          type: string
        last_name:
          description: Paypal payer last name
          example: Doe
          type: string
        payer_id:
          description: Paypal payer id
          example: '1234567'
          type: string
        tenant:
          description: Paypal payer tenant
          example: Tenant
          type: string
      type: object
    core_model.PlanTaxCollection:
      enum:
        - DEFAULT
        - COLLECT
        - DONT_COLLECT
      type: string
      x-enum-varnames:
        - PlanTaxCollectionDEFAULT
        - PlanTaxCollectionCOLLECT
        - PlanTaxCollectionDONTCOLLECT
  securitySchemes:
    Auth:
      bearerFormat: JWT
      description: >-
        Authentication header of the form `api key`, where `api key` is your
        organization api key.
      scheme: bearer
      type: http

````